VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::ElementMap Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::ElementMap:

## Avaliable Methods
public method | get_elements ()
public method | set_elements ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::ElementMap` class contains the metadata elements.

One of the sources for metadata is the annotations present in the interface definition language. When an annotation is represented in the `Com::Vmware::Vapi::Metadata::Metamodel::ElementMap` , `Com::Vmware::Vapi::Metadata::Metamodel::ElementMap` describes the data specified in the arguments for the annotation.

For example, in `\@UnionCase(tag="tag", value="SELECT")` , ElementMap describes the keyword arguments tag and value.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementMap::get_elements | ( |  | ) |

Gets the value of 'elements' property.

Return values

  elements | - The current value of the field. Metamodel information of the metadata elements. The key parameter of the map is the identifier for the element and the value corresponds to the element value. Map#

Code:
click to view
# Number of lines of code in get_elements: 4
sub get_elements {
my ($self, %args) = @_;
return $self->{'elements'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementMap::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::ElementMap structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{elements} = $args{'elements'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::ElementMap');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.element_map');
$self->set_binding_field('key' => 'elements', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementValue')}))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementMap::set_elements | ( |  | ) |

Sets the given value for 'elements' property.

Parameters

  elements | - New value for the field. Metamodel information of the metadata elements. The key parameter of the map is the identifier for the element and the value corresponds to the element value.

Code:
click to view
# Number of lines of code in set_elements: 5
sub set_elements {
my ($self, %args) = @_;
$self->{'elements'} = $args{'elements'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/ElementMap.pm